summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Dolbec <dolsen@gentoo.org>2017-02-10 13:52:19 -0800
committerBrian Dolbec <dolsen@gentoo.org>2017-02-10 13:52:19 -0800
commit76947bc502ce01cf73e167b9afadf49830a70698 (patch)
tree9196bad8a6cea926f36f58c7ac4fe868857878c2 /dev-util
parentdev-util/buildbot-waterfall-view: Version bump (diff)
downloadgentoo-76947bc502ce01cf73e167b9afadf49830a70698.tar.gz
gentoo-76947bc502ce01cf73e167b9afadf49830a70698.tar.bz2
gentoo-76947bc502ce01cf73e167b9afadf49830a70698.zip
dev-util/buildbot-worker: Version bump
Package-Manager: Portage-2.3.3_p38, Repoman-2.3.1_p31
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/buildbot-worker/Manifest1
-rw-r--r--dev-util/buildbot-worker/buildbot-worker-0.9.4.ebuild77
2 files changed, 78 insertions, 0 deletions
diff --git a/dev-util/buildbot-worker/Manifest b/dev-util/buildbot-worker/Manifest
index 428234ffb25..1203b2027c8 100644
--- a/dev-util/buildbot-worker/Manifest
+++ b/dev-util/buildbot-worker/Manifest
@@ -2,4 +2,5 @@ DIST buildbot-worker-0.9.0.post1.tar.gz 95780 SHA256 9da22fdf23462680a37d3995cde
DIST buildbot-worker-0.9.1.tar.gz 65852 SHA256 1d8ec4fd51e7a3a7dd4de7c512b282c221951cbacc6b2eaf15a157f371a0e902 SHA512 cf5749c6fd67fb72cd7043392efb502608cd2d11374cd43af351904a1b4e82d790338e5f745b47465b5cbf9501d2454d983648a70246c6ae55603ba51261a0d0 WHIRLPOOL e576879f141688e3f79e3cf746491bcc106cb4851f14d4960b10be45b7b01c33c6850fb856d6f083d8510ff78f73016e11250e9ef8864e33bace1834c315dafc
DIST buildbot-worker-0.9.2.tar.gz 66043 SHA256 3d05791ac0c556e3e4fe0ef78911ce47eab4fcbb0b5a51a436234ba49b9c236e SHA512 146c2f2b0c44f5c349459edbe61b448e88f9e42eb1c3b7769a0a07260533e4ad40d2d7bc3df2ebecd355d636834108debe8c2d165a9cdc6d849a537cf5743cc4 WHIRLPOOL f786c3a7ac486a2421877082da08a73079b7655ec0941a9509663983c03874bc8b5c12cb990628d0684db757d493528fab9ea3d99d09c22f2d2bbf606c69d0b5
DIST buildbot-worker-0.9.3.tar.gz 98622 SHA256 57b319a34d0118933e7b2488ee29732bc78c55be978fe34a90ef30f208b8d39c SHA512 a0b6b441eeb71e322a5009d6aa0049cbddc4bd4fc78c14cfd362f80d35385b3ffcf5546614b5920c7cdd574df195f5c510b4acdb925c37ad7e6823f7ab62df33 WHIRLPOOL c349bf7ed402fb90318f89135005976b0dbb8c8fc57679b1d5958ce0fdc52fc7f006aeccc9a3119cdd8c66912a8e6fd7e079471461181effd17d75ce9b16ddba
+DIST buildbot-worker-0.9.4.tar.gz 100889 SHA256 129e0d3fa9ee34f0f227487b6d1645820d2d4853099a1b0aed56587d3acab965 SHA512 7d055b7b005ebf1cc8033fb86f5321a9d80e0505c1a8b28b9ba3945323f157d34f34066ee9513e82b05c63af099d6030bf42d6f44533859b4e01983f1114462b WHIRLPOOL 8f2b95a476e93beaba5305137bb1d219a9aff59e8bb4450d6352babe799bb0166c299e7c8ea69e53c467e7e58be2681ddba4ae74ad8ba945221e1059906e5fc1
DIST buildbot_worker-9-tests.tar.xz 29512 SHA256 9966f1e368fae1ff05a4cdd801167b33fbad620acba79db21a5c28132dec61a3 SHA512 55aa3a5061ba0c9246e5029201a3565c6b20b198ccbf7ad3cad29599bdb8f883e8f33290f0f6fdb2e4a7c04f9132e32d762df8241cda8f689d407bb75d048122 WHIRLPOOL 9200d3676bf9fa56f36cc0bfc229250f6619512574696bde460ea0410462ac9fe030c5222145599ea1a792003c3ab0a8fc729c2294274e85665da47c81d03fb9
diff --git a/dev-util/buildbot-worker/buildbot-worker-0.9.4.ebuild b/dev-util/buildbot-worker/buildbot-worker-0.9.4.ebuild
new file mode 100644
index 00000000000..ad4b6a8fe7b
--- /dev/null
+++ b/dev-util/buildbot-worker/buildbot-worker-0.9.4.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python2_7 )
+
+EGIT_REPO_URI="https://github.com/buildbot/buildbot.git"
+
+[[ ${PV} == *9999 ]] && inherit git-r3
+inherit readme.gentoo user distutils-r1
+
+DESCRIPTION="BuildBot Slave Daemon"
+HOMEPAGE="http://buildbot.net/ http://code.google.com/p/buildbot/ http://pypi.python.org/pypi/buildbot-worker"
+
+MY_V="${PV/_p/p}"
+MY_P="${PN}-${MY_V}"
+[[ ${PV} == *9999 ]] || SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+if [[ ${PV} == *9999 ]]; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64"
+fi
+IUSE="test"
+
+RDEPEND=">=dev-python/setuptools-21.2.1[${PYTHON_USEDEP}]
+ || ( >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+ >=dev-python/twisted-core-8.0.0[${PYTHON_USEDEP}]
+ )
+ dev-python/future[${PYTHON_USEDEP}]
+ !<dev-util/buildbot-0.9.0_rc1
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/setuptools_trial[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_P}"
+[[ ${PV} == *9999 ]] && S=${S}/slave
+
+pkg_setup() {
+ enewuser buildbot
+
+ DOC_CONTENTS="The \"buildbot\" user and the \"buildbot_worker\" init script has been added
+ to support starting buildbot_worker through Gentoo's init system. To use this,
+ set up your build worker following the documentation, make sure the
+ resulting directories are owned by the \"buildbot\" user and point
+ \"${ROOT}etc/conf.d/buildbot_worker\" at the right location. The scripts can
+ run as a different user if desired. If you need to run more than one
+ build worker, just copy the scripts."
+}
+
+python_test() {
+ distutils_install_for_testing
+
+ esetup.py test || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ doman docs/buildbot-worker.1
+
+ newconfd "${FILESDIR}/buildbot_worker.confd" buildbot_worker
+ newinitd "${FILESDIR}/buildbot_worker.initd" buildbot_worker
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}